Package Details: gtk4 3.99.2-2

Git Clone URL: https://aur.archlinux.org/gtk4.git (read-only, click to copy)
Package Base: gtk4
Description: GObject-based multi-platform GUI toolkit
Upstream URL: https://www.gtk.org/
Keywords: gtk gtk4
Licenses: LGPL
Conflicts: gtk4-git, gtk4-print-backends, gtk4-update-icon-cache
Provides: gtk4, gtk4-print-backends, gtk4-update-icon-cache
Replaces: gtk4-print-backends, gtk4-update-icon-cache
Submitter: dariost
Maintainer: SilverRainZ
Last Packager: SilverRainZ
Votes: 13
Popularity: 1.67
First Submitted: 2017-04-09 10:42
Last Updated: 2020-10-13 07:03

Required by (1)

Sources (5)

Pinned Comments

franck.stauffer commented on 2020-10-04 12:47

3.99.2 is out too https://download.gnome.org/sources/gtk/3.99/gtk-3.99.2.tar.xz

SilverRainZ commented on 2020-08-09 14:17

GTK4 now updated to 3.99.0, plz checkout: https://gitlab.gnome.org/GNOME/gtk/blob/3.99.0/NEWS

NOTE that pango 1.45+ is required.

Latest Comments

1 2 Next › Last »

SilverRainZ commented on 2020-10-13 07:06

Hi guys, @moshiur_rahman @gavr123456789 @alhirzel, it should be fixed in 3.99.2-2.

moshiur_rahman commented on 2020-10-10 16:23

I am also facing the same problems. gtk4 3.99.2 is conflicting with gtk-doc and pango.

gavr123456789 commented on 2020-10-07 18:19

same problems
gtk4: /usr/share/gtk-doc/data/gtk-doc.xsl exists in filesystem (owned by gtk-doc-git)
gtk4: /usr/lib/libpango-1.0.so.0.4700.0 exists in filesystem (owned by pango-git)

gtk-doc-git and pango-git installed

alhirzel commented on 2020-10-05 14:23

I tried to build this morning and saw that several files conflict with gtk-doc. The same also happens with gtk-doc-git. I use yay, could this be causing some problem that @SilverRainZ doesn't see?

SilverRainZ commented on 2020-10-05 14:00

@flipflop97 , you should build with gtk-doc-git and pango-git.

flipflop97 commented on 2020-10-05 10:55

Hi, version 3.99.2 is conflicting with gtk-doc and pango files.

franck.stauffer commented on 2020-10-04 12:47

3.99.2 is out too https://download.gnome.org/sources/gtk/3.99/gtk-3.99.2.tar.xz

SilverRainZ commented on 2020-08-09 14:17

GTK4 now updated to 3.99.0, plz checkout: https://gitlab.gnome.org/GNOME/gtk/blob/3.99.0/NEWS

NOTE that pango 1.45+ is required.

SilverRainZ commented on 2020-06-26 03:59

We have to stay at 3.98.4 because 3.98.5 require pango 1.45.

SilverRainZ commented on 2020-05-22 15:23

@jhass should be fixed in 3.98.4.